Download it now!
Bug 105108 - Object area frame isn't highlighted when clicking text contained within
Summary: Object area frame isn't highlighted when clicking text contained within
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.6.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-01-04 19:41 UTC by Telesto
Modified: 2019-10-27 03:37 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (16.67 KB, application/vnd.oasis.opendocument.presentation)
2017-01-04 19:41 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-01-04 19:41:16 UTC
Description:
Object area frame isn't activated/highlighted when clicking the added text

Steps to Reproduce:
1.Open attached file
2.Go on slide 2
3.Click between 'H' and 'E' in 'Hello'. Blue frame will be activated
3.Click between W & O in 'World'. No blue frame


Actual Results:  
No frame

Expected Results:
Frame should be activated, in the same why 


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 5.4.0.0.alpha0+
Build ID: 215cbfb460326010737433c2020638e9388a88a4
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-02_23:58:32
Locale: nl-NL (nl_NL); Calc: CL

and in
Versie: 4.4.6.3 
Build ID: e8938fd3328e95dcf59dd64e7facd2c7d67c704d
Locale: nl_NL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2017-01-04 19:41:47 UTC
Created attachment 130156 [details]
Example file
Comment 2 Buovjaga 2017-01-05 10:57:44 UTC
Frame works in 3.6.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 1a58cdf8af1aba52ce0a376666dd7d742234d7cf
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on January 4th 2016

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 3 Xisco Faulí 2017-01-05 12:18:58 UTC
Regression introduced by:

author	Armin Le Grand <alg@apache.org>	2012-05-03 10:59:32 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2013-03-11 07:50:32 (GMT)
commit	3137258e346a9c16b2e61747fd926a1e7d358d02 (patch)
tree	02a19c5f59b7f6e4528f35ad8cc0c8785598ce8b
parent	6874c25f98dcfe5116d96a1282c4231c3f2d623a (diff)
Resolves: #i118905# Changed EditEngine to be able to paint to overlay directly
i.e. paint to VirtualDevice as well, not only to Window.
Removed the no longer needed switch between buffered and unbuffered overlay,
this removes the flickering white block.

Adding Cc: to Armin Le Grand
Comment 4 QA Administrators 2018-01-06 03:31:39 UTC Comment hidden (obsolete)
Comment 5 Telesto 2018-01-06 16:10:45 UTC
Repro
Version: 6.1.0.0.alpha0+
Build ID: a9b202a6b7000e7af34f2a639ca207122a3968bf
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-26_23:10:23
Locale: nl-NL (nl_NL); Calc: CL
Comment 6 QA Administrators 2019-10-27 03:37:40 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug